div[layout="black_modern_mobile_1"] .el-button--primary.el-button,
div[layout="black_modern_desktop_1"] .el-button.el-button--primary {
  background: var(--primary);
}

div[layout="black_modern_mobile_1"] {
  --swiper-navigation-size: 20px;
}

:deep(.game-drawer.el-overlay) {
  background-color: unset !important;
  top: unset !important;
  height: 30% !important;
  z-index: 21 !important;
  box-shadow: var(--box-shadow-simle);
}

:deep(.game-drawer.el-overlay .el-drawer) {
  height: 100% !important;
  --el-drawer-bg-color: var(--button-bg);
}

:deep(.game-drawer.el-overlay .el-drawer #el-drawer__title span) {
  @apply m-0 block whitespace-nowrap w-[calc(100%-20px)] overflow-ellipsis overflow-hidden text-base font-semibold;
  color: var(--title-font-color);
}

:deep(.game-drawer.el-overlay .el-drawer #el-drawer__title) {
  @apply mb-0;
  padding: 16px 32px 0 32px;
}

:deep(.game-drawer.el-overlay .el-drawer .el-drawer__body) {
  @apply pt-0 flex flex-col;
  padding: 0 32px 70px 32px;
}

:deep(
    .game-drawer.el-overlay .el-drawer #el-drawer__title .el-drawer__close-btn
  ) {
  @apply w-10 h-10 rounded-md;
  background-color: var(--button-bg);
  box-shadow: var(--box-shadow);
}

:deep(.empty) {
  background-repeat: no-repeat;
  background-position: bottom left, top right;
  background-size: contain;
}

:deep(.empty__wrapper) {
  max-width: 396px;
  margin: 0 auto;
  width: 100%;
  padding: 60px;
  background: var(--background-body);
  -webkit-box-shadow: var(--box-shadow);
  box-shadow: var(--box-shadow);
  border-radius: 24px;
  text-align: center;
}

:deep(#promotion-list .el-overlay) {
  z-index: 1 !important;
}

:deep(#promotion-list .el-dialog__body) {
  padding-left: 0;
  padding-right: 0;
}

:deep(.promotion__item) {
  @apply w-full flex flex-col rounded-2xl overflow-hidden mb-8;
  box-shadow: var(--box-shadow);
  border: 2px solid var(--background2);
  background-color: var(--background2);
}

:deep(.promotion__image) {
  padding-bottom: 67%;
  @apply relative overflow-hidden;

  & img {
    @apply absolute top-0 object-cover object-center;
  }
}

:deep(.promotion__fund) {
  @apply text-xl px-3 py-2 absolute left-3 bottom-3 flex uppercase rounded-md;
  box-shadow: inset 0.4px 0 1px rgba(0, 0, 0, 0.3);
  background-color: #eef0f6;
  color: #2f384e;
}

:deep(.promotion__info) {
  padding: 10px 15px;
  position: relative;
  z-index: 1;
}

:deep(.promotion-info__stat) {
  padding: 24px 16px;
  background-color: var(--background2);
  box-shadow: var(--box-shadow);
  border-radius: 16px;
  color: var(--text2);
}

:deep(.promotion-stat__item) {
  @apply text-xs text-[#707585] leading-[18px] mt-6;
}

:deep(.promotion__title) {
  height: 54px;
  font-size: 18px;
  font-weight: 700;
  line-height: 1.5;
  overflow: hidden;
  margin-bottom: 25px;
  color: var(--title-font-color);
}

:deep(.promotion__duration) {
  margin-bottom: 20px;
}

:deep(.promotion__duration__row:not(:last-of-type)) {
  margin-bottom: 10px;
}

:deep(.promotion__duration__row) {
  font-size: 16px;
  color: var(--text2);
}

:deep(.promotion__duration__row .promotion__duration__time) {
  font-weight: 700;
  margin: 0 10px;
}

:deep(.promotion__item .promotion-stat) {
  flex-direction: column;
  align-items: flex-start;
}

:deep(.promotion-stat) {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}

:deep(.promotion__list .promotion-stat__value) {
  font-weight: 400;
  font-size: 16px;
  line-height: 26px;
  text-transform: unset;
}

:deep(.promotion-stat__value) {
  display: flex;
  align-items: center;
  margin-bottom: 0;
  font-size: 16px;
  color: var(--title-font-color);
  margin-top: 4px;
  font-weight: 600;
}

:deep(.bonuses__item--buttons) {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(125px, 1fr));
  grid-gap: 16px;
  place-items: center;
}

:deep(.bonuses__item--buttons .button:first-child) {
  margin: 0;
}

:deep(.status--tag) {
  min-width: 100px;
  height: 26px;
  padding: 4px 12px;
  font-size: 12px;
  line-height: 26px;
  text-align: center;
  background: var(--background-body);
  box-shadow: var(--box-shadow-inset);
  border-radius: 20px;
  color: var(--primary-fallback);
  text-transform: uppercase;
}

:deep(.el-dialog) {
  --el-dialog-bg-color: var(--background2);
}
